package domain

type AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaWdkMarketingItemdiscountQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItemdiscountQueryitemsChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetPage(v AlibabaWdkMarketingItemdiscountQueryitemsBasePageQuery) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetByChannel(v bool) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) SetChannelConfigList(v []AlibabaWdkMarketingItemdiscountQueryitemsChannelConfig) *AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery {
	s.ChannelConfigList = &v
	return s
}
